org.apache.ignite.ml.preprocessing.imputing

## Class ImputerTrainer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.imputing.ImputerTrainer<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    PreprocessingTrainer<K,V>

      public class ImputerTrainer<K,V>
      extends Object
      implements PreprocessingTrainer<K,V>

  Trainer of the imputing preprocessor. The imputing fills the missed values according the imputing strategy (default: mean value for each feature). It supports double values in features only.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImputerTrainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImputerPreprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `ImputerTrainer<K,V>` | `withImputingStrategy(ImputingStrategy imputingStgy)` Sets the imputing strategy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.PreprocessingTrainer

      `fit, fit, fit, fit, fit, learningEnvironment`

- - ### Constructor Detail

    - #### ImputerTrainer

          public ImputerTrainer()

  - ### Method Detail

    - #### fit

          public ImputerPreprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                              DatasetBuilder<K,V> datasetBuilder,
                                              Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Specified by:
        `fit` in interface `PreprocessingTrainer<K,V>`
      Parameters:
        `envBuilder` - Learning environment builder.
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### withImputingStrategy

          public ImputerTrainer<K,V> withImputingStrategy(ImputingStrategy imputingStgy)

      Sets the imputing strategy.
      Parameters:
        `imputingStgy` - The given value.
      Returns:
        The updated imputing trainer.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021